depends = ('ITKPyBase', 'ITKTransform', 'ITKStatistics', 'ITKImageLabel', )
templates = (
  ('LabelObjectLine', 'itk::LabelObjectLine', 'itkLabelObjectLine2', True, '2'),
  ('LabelObjectLine', 'itk::LabelObjectLine', 'itkLabelObjectLine3', True, '3'),
  ('LabelObject', 'itk::LabelObject', 'itkLabelObjectUL2', True, 'unsigned long,2'),
  ('LabelObject', 'itk::LabelObject', 'itkLabelObjectUL3', True, 'unsigned long,3'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayPD24', False, 'itk::Point<double, 2>, 4'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayPD38', False, 'itk::Point<double, 3>, 8'),
  ('ShapeLabelObject', 'itk::ShapeLabelObject', 'itkShapeLabelObjectUL2', True, 'unsigned long,2'),
  ('ShapeLabelObject', 'itk::ShapeLabelObject', 'itkShapeLabelObjectUL3', True, 'unsigned long,3'),
  ('StatisticsLabelObject', 'itk::StatisticsLabelObject', 'itkStatisticsLabelObjectUL2', True, 'unsigned long,2'),
  ('map', 'std::map', 'mapitkStatisticsLabelObjectUL2', False, 'unsigned long, itk::StatisticsLabelObject< unsigned long,2  >'),
  ('vector', 'std::vector', 'vectoritkStatisticsLabelObjectUL2', False, 'itk::StatisticsLabelObject< unsigned long,2  >'),
  ('StatisticsLabelObject', 'itk::StatisticsLabelObject', 'itkStatisticsLabelObjectUL3', True, 'unsigned long,3'),
  ('map', 'std::map', 'mapitkStatisticsLabelObjectUL3', False, 'unsigned long, itk::StatisticsLabelObject< unsigned long,3  >'),
  ('vector', 'std::vector', 'vectoritkStatisticsLabelObjectUL3', False, 'itk::StatisticsLabelObject< unsigned long,3  >'),
  ('LabelMap', 'itk::LabelMap', 'itkLabelMap2', True, 'itk::StatisticsLabelObject< unsigned long, 2 >'),
  ('LabelMap', 'itk::LabelMap', 'itkLabelMap3', True, 'itk::StatisticsLabelObject< unsigned long, 3 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceLM2', False, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceLM3', False, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterLM2LM2', False, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISS2LM2', False, 'itk::Image< signed short,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterLM2ISS2', False, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< signed short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2LM2', False, 'itk::Image< unsigned char,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterLM2IUC2', False, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2LM2', False, 'itk::Image< unsigned short,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterLM2IUS2', False, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2LM2', False, 'itk::Image< float,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterLM2IF2', False, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2LM2', False, 'itk::Image< double,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterLM2ID2', False, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterLM2IRGBUC2', False, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterLM3LM3', False, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISS3LM3', False, 'itk::Image< signed short,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterLM3ISS3', False, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< signed short,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC3LM3', False, 'itk::Image< unsigned char,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterLM3IUC3', False, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< unsigned char,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS3LM3', False, 'itk::Image< unsigned short,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterLM3IUS3', False, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< unsigned short,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3LM3', False, 'itk::Image< float,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterLM3IF3', False, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< float,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID3LM3', False, 'itk::Image< double,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterLM3ID3', False, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< double,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterLM3IRGBUC3', False, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('LabelMapFilter', 'itk::LabelMapFilter', 'itkLabelMapFilterLM2LM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('LabelMapFilter', 'itk::LabelMapFilter', 'itkLabelMapFilterLM2ISS2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< signed short,2 >'),
  ('LabelMapFilter', 'itk::LabelMapFilter', 'itkLabelMapFilterLM2IUC2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< unsigned char,2 >'),
  ('LabelMapFilter', 'itk::LabelMapFilter', 'itkLabelMapFilterLM2IUS2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< unsigned short,2 >'),
  ('LabelMapFilter', 'itk::LabelMapFilter', 'itkLabelMapFilterLM2IF2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< float,2 >'),
  ('LabelMapFilter', 'itk::LabelMapFilter', 'itkLabelMapFilterLM2ID2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< double,2 >'),
  ('LabelMapFilter', 'itk::LabelMapFilter', 'itkLabelMapFilterLM2IRGBUC2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('LabelMapFilter', 'itk::LabelMapFilter', 'itkLabelMapFilterLM3LM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('LabelMapFilter', 'itk::LabelMapFilter', 'itkLabelMapFilterLM3ISS3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< signed short,3 >'),
  ('LabelMapFilter', 'itk::LabelMapFilter', 'itkLabelMapFilterLM3IUC3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< unsigned char,3 >'),
  ('LabelMapFilter', 'itk::LabelMapFilter', 'itkLabelMapFilterLM3IUS3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< unsigned short,3 >'),
  ('LabelMapFilter', 'itk::LabelMapFilter', 'itkLabelMapFilterLM3IF3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< float,3 >'),
  ('LabelMapFilter', 'itk::LabelMapFilter', 'itkLabelMapFilterLM3ID3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< double,3 >'),
  ('LabelMapFilter', 'itk::LabelMapFilter', 'itkLabelMapFilterLM3IRGBUC3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('InPlaceLabelMapFilter', 'itk::InPlaceLabelMapFilter', 'itkInPlaceLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('InPlaceLabelMapFilter', 'itk::InPlaceLabelMapFilter', 'itkInPlaceLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('ChangeRegionLabelMapFilter', 'itk::ChangeRegionLabelMapFilter', 'itkChangeRegionLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('ChangeRegionLabelMapFilter', 'itk::ChangeRegionLabelMapFilter', 'itkChangeRegionLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('AggregateLabelMapFilter', 'itk::AggregateLabelMapFilter', 'itkAggregateLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('AggregateLabelMapFilter', 'itk::AggregateLabelMapFilter', 'itkAggregateLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('AutoCropLabelMapFilter', 'itk::AutoCropLabelMapFilter', 'itkAutoCropLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('AutoCropLabelMapFilter', 'itk::AutoCropLabelMapFilter', 'itkAutoCropLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('BinaryFillholeImageFilter', 'itk::BinaryFillholeImageFilter', 'itkBinaryFillholeImageFilterISS2', True, 'itk::Image< signed short,2 >'),
  ('BinaryFillholeImageFilter', 'itk::BinaryFillholeImageFilter', 'itkBinaryFillholeImageFilterISS3', True, 'itk::Image< signed short,3 >'),
  ('BinaryFillholeImageFilter', 'itk::BinaryFillholeImageFilter', 'itkBinaryFillholeImageFilterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('BinaryFillholeImageFilter', 'itk::BinaryFillholeImageFilter', 'itkBinaryFillholeImageFilterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('BinaryFillholeImageFilter', 'itk::BinaryFillholeImageFilter', 'itkBinaryFillholeImageFilterIUS2', True, 'itk::Image< unsigned short,2 >'),
  ('BinaryFillholeImageFilter', 'itk::BinaryFillholeImageFilter', 'itkBinaryFillholeImageFilterIUS3', True, 'itk::Image< unsigned short,3 >'),
  ('BinaryGrindPeakImageFilter', 'itk::BinaryGrindPeakImageFilter', 'itkBinaryGrindPeakImageFilterISS2', True, 'itk::Image< signed short,2 >'),
  ('BinaryGrindPeakImageFilter', 'itk::BinaryGrindPeakImageFilter', 'itkBinaryGrindPeakImageFilterISS3', True, 'itk::Image< signed short,3 >'),
  ('BinaryGrindPeakImageFilter', 'itk::BinaryGrindPeakImageFilter', 'itkBinaryGrindPeakImageFilterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('BinaryGrindPeakImageFilter', 'itk::BinaryGrindPeakImageFilter', 'itkBinaryGrindPeakImageFilterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('BinaryGrindPeakImageFilter', 'itk::BinaryGrindPeakImageFilter', 'itkBinaryGrindPeakImageFilterIUS2', True, 'itk::Image< unsigned short,2 >'),
  ('BinaryGrindPeakImageFilter', 'itk::BinaryGrindPeakImageFilter', 'itkBinaryGrindPeakImageFilterIUS3', True, 'itk::Image< unsigned short,3 >'),
  ('BinaryImageToLabelMapFilter', 'itk::BinaryImageToLabelMapFilter', 'itkBinaryImageToLabelMapFilterIUC2LM2', True, 'itk::Image< unsigned char,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('BinaryImageToLabelMapFilter', 'itk::BinaryImageToLabelMapFilter', 'itkBinaryImageToLabelMapFilterIUC3LM3', True, 'itk::Image< unsigned char,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('BinaryImageToLabelMapFilter', 'itk::BinaryImageToLabelMapFilter', 'itkBinaryImageToLabelMapFilterIUS2LM2', True, 'itk::Image< unsigned short,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('BinaryImageToLabelMapFilter', 'itk::BinaryImageToLabelMapFilter', 'itkBinaryImageToLabelMapFilterIUS3LM3', True, 'itk::Image< unsigned short,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('BinaryImageToShapeLabelMapFilter', 'itk::BinaryImageToShapeLabelMapFilter', 'itkBinaryImageToShapeLabelMapFilterIUC2LM2', True, 'itk::Image< unsigned char,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('BinaryImageToShapeLabelMapFilter', 'itk::BinaryImageToShapeLabelMapFilter', 'itkBinaryImageToShapeLabelMapFilterIUC3LM3', True, 'itk::Image< unsigned char,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('BinaryImageToShapeLabelMapFilter', 'itk::BinaryImageToShapeLabelMapFilter', 'itkBinaryImageToShapeLabelMapFilterIUS2LM2', True, 'itk::Image< unsigned short,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('BinaryImageToShapeLabelMapFilter', 'itk::BinaryImageToShapeLabelMapFilter', 'itkBinaryImageToShapeLabelMapFilterIUS3LM3', True, 'itk::Image< unsigned short,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIUC2ISS2LM2', True, 'itk::Image< unsigned char,2 >, itk::Image< signed short,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIUC3ISS3LM3', True, 'itk::Image< unsigned char,3 >, itk::Image< signed short,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIUC2IUC2LM2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIUC3IUC3LM3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIUC2IUS2LM2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIUC3IUS3LM3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned short,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIUC2IF2LM2', True, 'itk::Image< unsigned char,2 >, itk::Image< float,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIUC3IF3LM3', True, 'itk::Image< unsigned char,3 >, itk::Image< float,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIUC2ID2LM2', True, 'itk::Image< unsigned char,2 >, itk::Image< double,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIUC3ID3LM3', True, 'itk::Image< unsigned char,3 >, itk::Image< double,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIUS2ISS2LM2', True, 'itk::Image< unsigned short,2 >, itk::Image< signed short,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIUS3ISS3LM3', True, 'itk::Image< unsigned short,3 >, itk::Image< signed short,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIUS2IUC2LM2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIUS3IUC3LM3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIUS2IUS2LM2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIUS3IUS3LM3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIUS2IF2LM2', True, 'itk::Image< unsigned short,2 >, itk::Image< float,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIUS3IF3LM3', True, 'itk::Image< unsigned short,3 >, itk::Image< float,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIUS2ID2LM2', True, 'itk::Image< unsigned short,2 >, itk::Image< double,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIUS3ID3LM3', True, 'itk::Image< unsigned short,3 >, itk::Image< double,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('BinaryNotImageFilter', 'itk::BinaryNotImageFilter', 'itkBinaryNotImageFilterISS2', True, 'itk::Image< signed short,2 >'),
  ('BinaryNotImageFilter', 'itk::BinaryNotImageFilter', 'itkBinaryNotImageFilterISS3', True, 'itk::Image< signed short,3 >'),
  ('BinaryNotImageFilter', 'itk::BinaryNotImageFilter', 'itkBinaryNotImageFilterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('BinaryNotImageFilter', 'itk::BinaryNotImageFilter', 'itkBinaryNotImageFilterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('BinaryNotImageFilter', 'itk::BinaryNotImageFilter', 'itkBinaryNotImageFilterIUS2', True, 'itk::Image< unsigned short,2 >'),
  ('BinaryNotImageFilter', 'itk::BinaryNotImageFilter', 'itkBinaryNotImageFilterIUS3', True, 'itk::Image< unsigned short,3 >'),
  ('BinaryReconstructionByDilationImageFilter', 'itk::BinaryReconstructionByDilationImageFilter', 'itkBinaryReconstructionByDilationImageFilterISS2', True, 'itk::Image< signed short,2 >'),
  ('BinaryReconstructionByDilationImageFilter', 'itk::BinaryReconstructionByDilationImageFilter', 'itkBinaryReconstructionByDilationImageFilterISS3', True, 'itk::Image< signed short,3 >'),
  ('BinaryReconstructionByDilationImageFilter', 'itk::BinaryReconstructionByDilationImageFilter', 'itkBinaryReconstructionByDilationImageFilterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('BinaryReconstructionByDilationImageFilter', 'itk::BinaryReconstructionByDilationImageFilter', 'itkBinaryReconstructionByDilationImageFilterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('BinaryReconstructionByDilationImageFilter', 'itk::BinaryReconstructionByDilationImageFilter', 'itkBinaryReconstructionByDilationImageFilterIUS2', True, 'itk::Image< unsigned short,2 >'),
  ('BinaryReconstructionByDilationImageFilter', 'itk::BinaryReconstructionByDilationImageFilter', 'itkBinaryReconstructionByDilationImageFilterIUS3', True, 'itk::Image< unsigned short,3 >'),
  ('BinaryReconstructionByErosionImageFilter', 'itk::BinaryReconstructionByErosionImageFilter', 'itkBinaryReconstructionByErosionImageFilterISS2', True, 'itk::Image< signed short,2 >'),
  ('BinaryReconstructionByErosionImageFilter', 'itk::BinaryReconstructionByErosionImageFilter', 'itkBinaryReconstructionByErosionImageFilterISS3', True, 'itk::Image< signed short,3 >'),
  ('BinaryReconstructionByErosionImageFilter', 'itk::BinaryReconstructionByErosionImageFilter', 'itkBinaryReconstructionByErosionImageFilterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('BinaryReconstructionByErosionImageFilter', 'itk::BinaryReconstructionByErosionImageFilter', 'itkBinaryReconstructionByErosionImageFilterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('BinaryReconstructionByErosionImageFilter', 'itk::BinaryReconstructionByErosionImageFilter', 'itkBinaryReconstructionByErosionImageFilterIUS2', True, 'itk::Image< unsigned short,2 >'),
  ('BinaryReconstructionByErosionImageFilter', 'itk::BinaryReconstructionByErosionImageFilter', 'itkBinaryReconstructionByErosionImageFilterIUS3', True, 'itk::Image< unsigned short,3 >'),
  ('BinaryShapeKeepNObjectsImageFilter', 'itk::BinaryShapeKeepNObjectsImageFilter', 'itkBinaryShapeKeepNObjectsImageFilterISS2', True, 'itk::Image< signed short,2 >'),
  ('BinaryShapeKeepNObjectsImageFilter', 'itk::BinaryShapeKeepNObjectsImageFilter', 'itkBinaryShapeKeepNObjectsImageFilterISS3', True, 'itk::Image< signed short,3 >'),
  ('BinaryShapeKeepNObjectsImageFilter', 'itk::BinaryShapeKeepNObjectsImageFilter', 'itkBinaryShapeKeepNObjectsImageFilterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('BinaryShapeKeepNObjectsImageFilter', 'itk::BinaryShapeKeepNObjectsImageFilter', 'itkBinaryShapeKeepNObjectsImageFilterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('BinaryShapeKeepNObjectsImageFilter', 'itk::BinaryShapeKeepNObjectsImageFilter', 'itkBinaryShapeKeepNObjectsImageFilterIUS2', True, 'itk::Image< unsigned short,2 >'),
  ('BinaryShapeKeepNObjectsImageFilter', 'itk::BinaryShapeKeepNObjectsImageFilter', 'itkBinaryShapeKeepNObjectsImageFilterIUS3', True, 'itk::Image< unsigned short,3 >'),
  ('BinaryShapeOpeningImageFilter', 'itk::BinaryShapeOpeningImageFilter', 'itkBinaryShapeOpeningImageFilterISS2', True, 'itk::Image< signed short,2 >'),
  ('BinaryShapeOpeningImageFilter', 'itk::BinaryShapeOpeningImageFilter', 'itkBinaryShapeOpeningImageFilterISS3', True, 'itk::Image< signed short,3 >'),
  ('BinaryShapeOpeningImageFilter', 'itk::BinaryShapeOpeningImageFilter', 'itkBinaryShapeOpeningImageFilterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('BinaryShapeOpeningImageFilter', 'itk::BinaryShapeOpeningImageFilter', 'itkBinaryShapeOpeningImageFilterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('BinaryShapeOpeningImageFilter', 'itk::BinaryShapeOpeningImageFilter', 'itkBinaryShapeOpeningImageFilterIUS2', True, 'itk::Image< unsigned short,2 >'),
  ('BinaryShapeOpeningImageFilter', 'itk::BinaryShapeOpeningImageFilter', 'itkBinaryShapeOpeningImageFilterIUS3', True, 'itk::Image< unsigned short,3 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIUC2ISS2', True, 'itk::Image< unsigned char,2 >,itk::Image< signed short,2 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIUS2ISS2', True, 'itk::Image< unsigned short,2 >,itk::Image< signed short,2 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIUS2IUC2', True, 'itk::Image< unsigned short,2 >,itk::Image< unsigned char,2 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIUC2IUS2', True, 'itk::Image< unsigned char,2 >,itk::Image< unsigned short,2 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIUS2IUS2', True, 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIUC2IF2', True, 'itk::Image< unsigned char,2 >,itk::Image< float,2 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIUS2IF2', True, 'itk::Image< unsigned short,2 >,itk::Image< float,2 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIUC2ID2', True, 'itk::Image< unsigned char,2 >,itk::Image< double,2 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIUS2ID2', True, 'itk::Image< unsigned short,2 >,itk::Image< double,2 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIUC3ISS3', True, 'itk::Image< unsigned char,3 >,itk::Image< signed short,3 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIUS3ISS3', True, 'itk::Image< unsigned short,3 >,itk::Image< signed short,3 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIUS3IUC3', True, 'itk::Image< unsigned short,3 >,itk::Image< unsigned char,3 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIUC3IUS3', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned short,3 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIUS3IUS3', True, 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIUC3IF3', True, 'itk::Image< unsigned char,3 >,itk::Image< float,3 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIUS3IF3', True, 'itk::Image< unsigned short,3 >,itk::Image< float,3 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIUC3ID3', True, 'itk::Image< unsigned char,3 >,itk::Image< double,3 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIUS3ID3', True, 'itk::Image< unsigned short,3 >,itk::Image< double,3 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIUC2ISS2', True, 'itk::Image< unsigned char,2 >,itk::Image< signed short,2 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIUS2ISS2', True, 'itk::Image< unsigned short,2 >,itk::Image< signed short,2 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIUS2IUC2', True, 'itk::Image< unsigned short,2 >,itk::Image< unsigned char,2 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIUC2IUS2', True, 'itk::Image< unsigned char,2 >,itk::Image< unsigned short,2 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIUS2IUS2', True, 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIUC2IF2', True, 'itk::Image< unsigned char,2 >,itk::Image< float,2 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIUS2IF2', True, 'itk::Image< unsigned short,2 >,itk::Image< float,2 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIUC2ID2', True, 'itk::Image< unsigned char,2 >,itk::Image< double,2 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIUS2ID2', True, 'itk::Image< unsigned short,2 >,itk::Image< double,2 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIUC3ISS3', True, 'itk::Image< unsigned char,3 >,itk::Image< signed short,3 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIUS3ISS3', True, 'itk::Image< unsigned short,3 >,itk::Image< signed short,3 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIUS3IUC3', True, 'itk::Image< unsigned short,3 >,itk::Image< unsigned char,3 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIUC3IUS3', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned short,3 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIUS3IUS3', True, 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIUC3IF3', True, 'itk::Image< unsigned char,3 >,itk::Image< float,3 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIUS3IF3', True, 'itk::Image< unsigned short,3 >,itk::Image< float,3 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIUC3ID3', True, 'itk::Image< unsigned char,3 >,itk::Image< double,3 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIUS3ID3', True, 'itk::Image< unsigned short,3 >,itk::Image< double,3 >'),
  ('ChangeLabelLabelMapFilter', 'itk::ChangeLabelLabelMapFilter', 'itkChangeLabelLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('ChangeLabelLabelMapFilter', 'itk::ChangeLabelLabelMapFilter', 'itkChangeLabelLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('CropLabelMapFilter', 'itk::CropLabelMapFilter', 'itkCropLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('CropLabelMapFilter', 'itk::CropLabelMapFilter', 'itkCropLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('ScanlineFilterCommon', 'itk::ScanlineFilterCommon', 'itkScanlineFilterCommonIUC2LM2', False, 'itk::Image< unsigned char,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('ScanlineFilterCommon', 'itk::ScanlineFilterCommon', 'itkScanlineFilterCommonIUC3LM3', False, 'itk::Image< unsigned char,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('ScanlineFilterCommon', 'itk::ScanlineFilterCommon', 'itkScanlineFilterCommonIUS2LM2', False, 'itk::Image< unsigned short,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('ScanlineFilterCommon', 'itk::ScanlineFilterCommon', 'itkScanlineFilterCommonIUS3LM3', False, 'itk::Image< unsigned short,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('LabelImageToLabelMapFilter', 'itk::LabelImageToLabelMapFilter', 'itkLabelImageToLabelMapFilterIUC2LM2', True, 'itk::Image< unsigned char,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('LabelImageToLabelMapFilter', 'itk::LabelImageToLabelMapFilter', 'itkLabelImageToLabelMapFilterIUC3LM3', True, 'itk::Image< unsigned char,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('LabelImageToLabelMapFilter', 'itk::LabelImageToLabelMapFilter', 'itkLabelImageToLabelMapFilterIUS2LM2', True, 'itk::Image< unsigned short,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('LabelImageToLabelMapFilter', 'itk::LabelImageToLabelMapFilter', 'itkLabelImageToLabelMapFilterIUS3LM3', True, 'itk::Image< unsigned short,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('LabelImageToShapeLabelMapFilter', 'itk::LabelImageToShapeLabelMapFilter', 'itkLabelImageToShapeLabelMapFilterIUC2LM2', True, 'itk::Image< unsigned char,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('LabelImageToShapeLabelMapFilter', 'itk::LabelImageToShapeLabelMapFilter', 'itkLabelImageToShapeLabelMapFilterIUC3LM3', True, 'itk::Image< unsigned char,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('LabelImageToShapeLabelMapFilter', 'itk::LabelImageToShapeLabelMapFilter', 'itkLabelImageToShapeLabelMapFilterIUS2LM2', True, 'itk::Image< unsigned short,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('LabelImageToShapeLabelMapFilter', 'itk::LabelImageToShapeLabelMapFilter', 'itkLabelImageToShapeLabelMapFilterIUS3LM3', True, 'itk::Image< unsigned short,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIUC2ISS2LM2', True, 'itk::Image< unsigned char,2 >, itk::Image< signed short,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIUC3ISS3LM3', True, 'itk::Image< unsigned char,3 >, itk::Image< signed short,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIUC2IUC2LM2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIUC3IUC3LM3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIUC2IUS2LM2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIUC3IUS3LM3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned short,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIUC2IF2LM2', True, 'itk::Image< unsigned char,2 >, itk::Image< float,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIUC3IF3LM3', True, 'itk::Image< unsigned char,3 >, itk::Image< float,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIUC2ID2LM2', True, 'itk::Image< unsigned char,2 >, itk::Image< double,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIUC3ID3LM3', True, 'itk::Image< unsigned char,3 >, itk::Image< double,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIUS2ISS2LM2', True, 'itk::Image< unsigned short,2 >, itk::Image< signed short,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIUS3ISS3LM3', True, 'itk::Image< unsigned short,3 >, itk::Image< signed short,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIUS2IUC2LM2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIUS3IUC3LM3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIUS2IUS2LM2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIUS3IUS3LM3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIUS2IF2LM2', True, 'itk::Image< unsigned short,2 >, itk::Image< float,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIUS3IF3LM3', True, 'itk::Image< unsigned short,3 >, itk::Image< float,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIUS2ID2LM2', True, 'itk::Image< unsigned short,2 >, itk::Image< double,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIUS3ID3LM3', True, 'itk::Image< unsigned short,3 >, itk::Image< double,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('LabelMapMaskImageFilter', 'itk::LabelMapMaskImageFilter', 'itkLabelMapMaskImageFilterLM2ISS2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< signed short,2 >'),
  ('LabelMapMaskImageFilter', 'itk::LabelMapMaskImageFilter', 'itkLabelMapMaskImageFilterLM3ISS3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< signed short,3 >'),
  ('LabelMapMaskImageFilter', 'itk::LabelMapMaskImageFilter', 'itkLabelMapMaskImageFilterLM2IUC2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< unsigned char,2 >'),
  ('LabelMapMaskImageFilter', 'itk::LabelMapMaskImageFilter', 'itkLabelMapMaskImageFilterLM3IUC3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< unsigned char,3 >'),
  ('LabelMapMaskImageFilter', 'itk::LabelMapMaskImageFilter', 'itkLabelMapMaskImageFilterLM2IUS2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< unsigned short,2 >'),
  ('LabelMapMaskImageFilter', 'itk::LabelMapMaskImageFilter', 'itkLabelMapMaskImageFilterLM3IUS3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< unsigned short,3 >'),
  ('LabelMapMaskImageFilter', 'itk::LabelMapMaskImageFilter', 'itkLabelMapMaskImageFilterLM2IF2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< float,2 >'),
  ('LabelMapMaskImageFilter', 'itk::LabelMapMaskImageFilter', 'itkLabelMapMaskImageFilterLM3IF3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< float,3 >'),
  ('LabelMapMaskImageFilter', 'itk::LabelMapMaskImageFilter', 'itkLabelMapMaskImageFilterLM2ID2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< double,2 >'),
  ('LabelMapMaskImageFilter', 'itk::LabelMapMaskImageFilter', 'itkLabelMapMaskImageFilterLM3ID3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< double,3 >'),
  ('LabelMapToBinaryImageFilter', 'itk::LabelMapToBinaryImageFilter', 'itkLabelMapToBinaryImageFilterLM2IUC2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< unsigned char,2 >'),
  ('LabelMapToBinaryImageFilter', 'itk::LabelMapToBinaryImageFilter', 'itkLabelMapToBinaryImageFilterLM3IUC3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< unsigned char,3 >'),
  ('LabelMapToBinaryImageFilter', 'itk::LabelMapToBinaryImageFilter', 'itkLabelMapToBinaryImageFilterLM2IUS2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< unsigned short,2 >'),
  ('LabelMapToBinaryImageFilter', 'itk::LabelMapToBinaryImageFilter', 'itkLabelMapToBinaryImageFilterLM3IUS3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< unsigned short,3 >'),
  ('LabelMapToLabelImageFilter', 'itk::LabelMapToLabelImageFilter', 'itkLabelMapToLabelImageFilterLM2IUC2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< unsigned char,2 >'),
  ('LabelMapToLabelImageFilter', 'itk::LabelMapToLabelImageFilter', 'itkLabelMapToLabelImageFilterLM3IUC3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< unsigned char,3 >'),
  ('LabelMapToLabelImageFilter', 'itk::LabelMapToLabelImageFilter', 'itkLabelMapToLabelImageFilterLM2IUS2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< unsigned short,2 >'),
  ('LabelMapToLabelImageFilter', 'itk::LabelMapToLabelImageFilter', 'itkLabelMapToLabelImageFilterLM3IUS3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< unsigned short,3 >'),
  ('LabelSelectionLabelMapFilter', 'itk::LabelSelectionLabelMapFilter', 'itkLabelSelectionLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('LabelSelectionLabelMapFilter', 'itk::LabelSelectionLabelMapFilter', 'itkLabelSelectionLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('LabelShapeKeepNObjectsImageFilter', 'itk::LabelShapeKeepNObjectsImageFilter', 'itkLabelShapeKeepNObjectsImageFilterISS2', True, 'itk::Image< signed short,2 >'),
  ('LabelShapeKeepNObjectsImageFilter', 'itk::LabelShapeKeepNObjectsImageFilter', 'itkLabelShapeKeepNObjectsImageFilterISS3', True, 'itk::Image< signed short,3 >'),
  ('LabelShapeKeepNObjectsImageFilter', 'itk::LabelShapeKeepNObjectsImageFilter', 'itkLabelShapeKeepNObjectsImageFilterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('LabelShapeKeepNObjectsImageFilter', 'itk::LabelShapeKeepNObjectsImageFilter', 'itkLabelShapeKeepNObjectsImageFilterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('LabelShapeKeepNObjectsImageFilter', 'itk::LabelShapeKeepNObjectsImageFilter', 'itkLabelShapeKeepNObjectsImageFilterIUS2', True, 'itk::Image< unsigned short,2 >'),
  ('LabelShapeKeepNObjectsImageFilter', 'itk::LabelShapeKeepNObjectsImageFilter', 'itkLabelShapeKeepNObjectsImageFilterIUS3', True, 'itk::Image< unsigned short,3 >'),
  ('LabelShapeOpeningImageFilter', 'itk::LabelShapeOpeningImageFilter', 'itkLabelShapeOpeningImageFilterISS2', True, 'itk::Image< signed short,2 >'),
  ('LabelShapeOpeningImageFilter', 'itk::LabelShapeOpeningImageFilter', 'itkLabelShapeOpeningImageFilterISS3', True, 'itk::Image< signed short,3 >'),
  ('LabelShapeOpeningImageFilter', 'itk::LabelShapeOpeningImageFilter', 'itkLabelShapeOpeningImageFilterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('LabelShapeOpeningImageFilter', 'itk::LabelShapeOpeningImageFilter', 'itkLabelShapeOpeningImageFilterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('LabelShapeOpeningImageFilter', 'itk::LabelShapeOpeningImageFilter', 'itkLabelShapeOpeningImageFilterIUS2', True, 'itk::Image< unsigned short,2 >'),
  ('LabelShapeOpeningImageFilter', 'itk::LabelShapeOpeningImageFilter', 'itkLabelShapeOpeningImageFilterIUS3', True, 'itk::Image< unsigned short,3 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIUC2ISS2', True, 'itk::Image< unsigned char,2 >,itk::Image< signed short,2 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIUS2ISS2', True, 'itk::Image< unsigned short,2 >,itk::Image< signed short,2 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIUS2IUC2', True, 'itk::Image< unsigned short,2 >,itk::Image< unsigned char,2 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIUC2IUS2', True, 'itk::Image< unsigned char,2 >,itk::Image< unsigned short,2 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIUS2IUS2', True, 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIUC2IF2', True, 'itk::Image< unsigned char,2 >,itk::Image< float,2 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIUS2IF2', True, 'itk::Image< unsigned short,2 >,itk::Image< float,2 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIUC2ID2', True, 'itk::Image< unsigned char,2 >,itk::Image< double,2 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIUS2ID2', True, 'itk::Image< unsigned short,2 >,itk::Image< double,2 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIUC3ISS3', True, 'itk::Image< unsigned char,3 >,itk::Image< signed short,3 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIUS3ISS3', True, 'itk::Image< unsigned short,3 >,itk::Image< signed short,3 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIUS3IUC3', True, 'itk::Image< unsigned short,3 >,itk::Image< unsigned char,3 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIUC3IUS3', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned short,3 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIUS3IUS3', True, 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIUC3IF3', True, 'itk::Image< unsigned char,3 >,itk::Image< float,3 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIUS3IF3', True, 'itk::Image< unsigned short,3 >,itk::Image< float,3 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIUC3ID3', True, 'itk::Image< unsigned char,3 >,itk::Image< double,3 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIUS3ID3', True, 'itk::Image< unsigned short,3 >,itk::Image< double,3 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIUC2ISS2', True, 'itk::Image< unsigned char,2 >,itk::Image< signed short,2 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIUS2ISS2', True, 'itk::Image< unsigned short,2 >,itk::Image< signed short,2 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIUS2IUC2', True, 'itk::Image< unsigned short,2 >,itk::Image< unsigned char,2 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIUC2IUS2', True, 'itk::Image< unsigned char,2 >,itk::Image< unsigned short,2 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIUS2IUS2', True, 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIUC2IF2', True, 'itk::Image< unsigned char,2 >,itk::Image< float,2 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIUS2IF2', True, 'itk::Image< unsigned short,2 >,itk::Image< float,2 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIUC2ID2', True, 'itk::Image< unsigned char,2 >,itk::Image< double,2 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIUS2ID2', True, 'itk::Image< unsigned short,2 >,itk::Image< double,2 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIUC3ISS3', True, 'itk::Image< unsigned char,3 >,itk::Image< signed short,3 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIUS3ISS3', True, 'itk::Image< unsigned short,3 >,itk::Image< signed short,3 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIUS3IUC3', True, 'itk::Image< unsigned short,3 >,itk::Image< unsigned char,3 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIUC3IUS3', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned short,3 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIUS3IUS3', True, 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIUC3IF3', True, 'itk::Image< unsigned char,3 >,itk::Image< float,3 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIUS3IF3', True, 'itk::Image< unsigned short,3 >,itk::Image< float,3 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIUC3ID3', True, 'itk::Image< unsigned char,3 >,itk::Image< double,3 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIUS3ID3', True, 'itk::Image< unsigned short,3 >,itk::Image< double,3 >'),
  ('LabelUniqueLabelMapFilter', 'itk::LabelUniqueLabelMapFilter', 'itkLabelUniqueLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('LabelUniqueLabelMapFilter', 'itk::LabelUniqueLabelMapFilter', 'itkLabelUniqueLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('MergeLabelMapFilterEnums', 'itk::MergeLabelMapFilterEnums', 'itkMergeLabelMapFilterEnums', False),
  ('MergeLabelMapFilter', 'itk::MergeLabelMapFilter', 'itkMergeLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('MergeLabelMapFilter', 'itk::MergeLabelMapFilter', 'itkMergeLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('ObjectByObjectLabelMapFilter', 'itk::ObjectByObjectLabelMapFilter', 'itkObjectByObjectLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('ObjectByObjectLabelMapFilter', 'itk::ObjectByObjectLabelMapFilter', 'itkObjectByObjectLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('PadLabelMapFilter', 'itk::PadLabelMapFilter', 'itkPadLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('PadLabelMapFilter', 'itk::PadLabelMapFilter', 'itkPadLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('RegionFromReferenceLabelMapFilter', 'itk::RegionFromReferenceLabelMapFilter', 'itkRegionFromReferenceLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('RegionFromReferenceLabelMapFilter', 'itk::RegionFromReferenceLabelMapFilter', 'itkRegionFromReferenceLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('RelabelLabelMapFilter', 'itk::RelabelLabelMapFilter', 'itkRelabelLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('RelabelLabelMapFilter', 'itk::RelabelLabelMapFilter', 'itkRelabelLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('ShapeKeepNObjectsLabelMapFilter', 'itk::ShapeKeepNObjectsLabelMapFilter', 'itkShapeKeepNObjectsLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('ShapeKeepNObjectsLabelMapFilter', 'itk::ShapeKeepNObjectsLabelMapFilter', 'itkShapeKeepNObjectsLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('ShapeLabelMapFilter', 'itk::ShapeLabelMapFilter', 'itkShapeLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('ShapeLabelMapFilter', 'itk::ShapeLabelMapFilter', 'itkShapeLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('ShapeOpeningLabelMapFilter', 'itk::ShapeOpeningLabelMapFilter', 'itkShapeOpeningLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('ShapeOpeningLabelMapFilter', 'itk::ShapeOpeningLabelMapFilter', 'itkShapeOpeningLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('ShapePositionLabelMapFilter', 'itk::ShapePositionLabelMapFilter', 'itkShapePositionLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('ShapePositionLabelMapFilter', 'itk::ShapePositionLabelMapFilter', 'itkShapePositionLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('ShapeRelabelImageFilter', 'itk::ShapeRelabelImageFilter', 'itkShapeRelabelImageFilterISS2', True, 'itk::Image< signed short,2 >'),
  ('ShapeRelabelImageFilter', 'itk::ShapeRelabelImageFilter', 'itkShapeRelabelImageFilterISS3', True, 'itk::Image< signed short,3 >'),
  ('ShapeRelabelImageFilter', 'itk::ShapeRelabelImageFilter', 'itkShapeRelabelImageFilterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('ShapeRelabelImageFilter', 'itk::ShapeRelabelImageFilter', 'itkShapeRelabelImageFilterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('ShapeRelabelImageFilter', 'itk::ShapeRelabelImageFilter', 'itkShapeRelabelImageFilterIUS2', True, 'itk::Image< unsigned short,2 >'),
  ('ShapeRelabelImageFilter', 'itk::ShapeRelabelImageFilter', 'itkShapeRelabelImageFilterIUS3', True, 'itk::Image< unsigned short,3 >'),
  ('ShapeRelabelLabelMapFilter', 'itk::ShapeRelabelLabelMapFilter', 'itkShapeRelabelLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('ShapeRelabelLabelMapFilter', 'itk::ShapeRelabelLabelMapFilter', 'itkShapeRelabelLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('ShapeUniqueLabelMapFilter', 'itk::ShapeUniqueLabelMapFilter', 'itkShapeUniqueLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('ShapeUniqueLabelMapFilter', 'itk::ShapeUniqueLabelMapFilter', 'itkShapeUniqueLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('ShiftScaleLabelMapFilter', 'itk::ShiftScaleLabelMapFilter', 'itkShiftScaleLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('ShiftScaleLabelMapFilter', 'itk::ShiftScaleLabelMapFilter', 'itkShiftScaleLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('StatisticsKeepNObjectsLabelMapFilter', 'itk::StatisticsKeepNObjectsLabelMapFilter', 'itkStatisticsKeepNObjectsLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('StatisticsKeepNObjectsLabelMapFilter', 'itk::StatisticsKeepNObjectsLabelMapFilter', 'itkStatisticsKeepNObjectsLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('StatisticsLabelMapFilter', 'itk::StatisticsLabelMapFilter', 'itkStatisticsLabelMapFilterLM2ISS2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< signed short,2 >'),
  ('StatisticsLabelMapFilter', 'itk::StatisticsLabelMapFilter', 'itkStatisticsLabelMapFilterLM2IUC2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< unsigned char,2 >'),
  ('StatisticsLabelMapFilter', 'itk::StatisticsLabelMapFilter', 'itkStatisticsLabelMapFilterLM2IUS2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< unsigned short,2 >'),
  ('StatisticsLabelMapFilter', 'itk::StatisticsLabelMapFilter', 'itkStatisticsLabelMapFilterLM2IF2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< float,2 >'),
  ('StatisticsLabelMapFilter', 'itk::StatisticsLabelMapFilter', 'itkStatisticsLabelMapFilterLM2ID2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< double,2 >'),
  ('StatisticsLabelMapFilter', 'itk::StatisticsLabelMapFilter', 'itkStatisticsLabelMapFilterLM3ISS3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< signed short,3 >'),
  ('StatisticsLabelMapFilter', 'itk::StatisticsLabelMapFilter', 'itkStatisticsLabelMapFilterLM3IUC3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< unsigned char,3 >'),
  ('StatisticsLabelMapFilter', 'itk::StatisticsLabelMapFilter', 'itkStatisticsLabelMapFilterLM3IUS3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< unsigned short,3 >'),
  ('StatisticsLabelMapFilter', 'itk::StatisticsLabelMapFilter', 'itkStatisticsLabelMapFilterLM3IF3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< float,3 >'),
  ('StatisticsLabelMapFilter', 'itk::StatisticsLabelMapFilter', 'itkStatisticsLabelMapFilterLM3ID3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< double,3 >'),
  ('StatisticsOpeningLabelMapFilter', 'itk::StatisticsOpeningLabelMapFilter', 'itkStatisticsOpeningLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('StatisticsOpeningLabelMapFilter', 'itk::StatisticsOpeningLabelMapFilter', 'itkStatisticsOpeningLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('StatisticsPositionLabelMapFilter', 'itk::StatisticsPositionLabelMapFilter', 'itkStatisticsPositionLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('StatisticsPositionLabelMapFilter', 'itk::StatisticsPositionLabelMapFilter', 'itkStatisticsPositionLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIUC2ISS2', True, 'itk::Image< unsigned char,2 >,itk::Image< signed short,2 >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIUS2ISS2', True, 'itk::Image< unsigned short,2 >,itk::Image< signed short,2 >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIUS2IUC2', True, 'itk::Image< unsigned short,2 >,itk::Image< unsigned char,2 >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIUC2IUS2', True, 'itk::Image< unsigned char,2 >,itk::Image< unsigned short,2 >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIUS2IUS2', True, 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIUC2IF2', True, 'itk::Image< unsigned char,2 >,itk::Image< float,2 >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIUS2IF2', True, 'itk::Image< unsigned short,2 >,itk::Image< float,2 >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIUC2ID2', True, 'itk::Image< unsigned char,2 >,itk::Image< double,2 >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIUS2ID2', True, 'itk::Image< unsigned short,2 >,itk::Image< double,2 >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIUC3ISS3', True, 'itk::Image< unsigned char,3 >,itk::Image< signed short,3 >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIUS3ISS3', True, 'itk::Image< unsigned short,3 >,itk::Image< signed short,3 >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIUS3IUC3', True, 'itk::Image< unsigned short,3 >,itk::Image< unsigned char,3 >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIUC3IUS3', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned short,3 >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIUS3IUS3', True, 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIUC3IF3', True, 'itk::Image< unsigned char,3 >,itk::Image< float,3 >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIUS3IF3', True, 'itk::Image< unsigned short,3 >,itk::Image< float,3 >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIUC3ID3', True, 'itk::Image< unsigned char,3 >,itk::Image< double,3 >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIUS3ID3', True, 'itk::Image< unsigned short,3 >,itk::Image< double,3 >'),
  ('StatisticsRelabelLabelMapFilter', 'itk::StatisticsRelabelLabelMapFilter', 'itkStatisticsRelabelLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('StatisticsRelabelLabelMapFilter', 'itk::StatisticsRelabelLabelMapFilter', 'itkStatisticsRelabelLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('StatisticsUniqueLabelMapFilter', 'itk::StatisticsUniqueLabelMapFilter', 'itkStatisticsUniqueLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('StatisticsUniqueLabelMapFilter', 'itk::StatisticsUniqueLabelMapFilter', 'itkStatisticsUniqueLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
)
snake_case_functions = ('change_region_label_map_filter', 'label_image_to_statistics_label_map_filter', 'label_statistics_opening_image_filter', 'label_image_to_shape_label_map_filter', 'merge_label_map_filter', 'attribute_relabel_label_map_filter', 'binary_statistics_opening_image_filter', 'binary_reconstruction_by_dilation_image_filter', 'binary_reconstruction_by_erosion_image_filter', 'shape_opening_label_map_filter', 'label_unique_label_map_filter', 'statistics_position_label_map_filter', 'binary_image_to_statistics_label_map_filter', 'binary_image_to_label_map_filter', 'relabel_label_map_filter', 'label_map_filter', 'in_place_label_map_filter', 'pad_label_map_filter', 'binary_grind_peak_image_filter', 'image_to_image_filter', 'label_shape_keep_n_objects_image_filter', 'label_statistics_keep_n_objects_image_filter', 'crop_label_map_filter', 'region_from_reference_label_map_filter', 'shape_unique_label_map_filter', 'label_image_to_label_map_filter', 'label_map_mask_image_filter', 'statistics_opening_label_map_filter', 'statistics_label_map_filter', 'attribute_selection_label_map_filter', 'binary_image_to_shape_label_map_filter', 'shape_keep_n_objects_label_map_filter', 'shape_relabel_label_map_filter', 'change_label_label_map_filter', 'statistics_unique_label_map_filter', 'statistics_keep_n_objects_label_map_filter', 'statistics_relabel_label_map_filter', 'binary_shape_keep_n_objects_image_filter', 'shift_scale_label_map_filter', 'binary_statistics_keep_n_objects_image_filter', 'binary_fillhole_image_filter', 'label_shape_opening_image_filter', 'attribute_unique_label_map_filter', 'aggregate_label_map_filter', 'label_map_to_binary_image_filter', 'binary_not_image_filter', 'label_map_to_label_image_filter', 'image_source', 'statistics_relabel_image_filter', 'object_by_object_label_map_filter', 'shape_relabel_image_filter', 'auto_crop_label_map_filter', 'unary_functor_image_filter', 'label_selection_label_map_filter', 'shape_label_map_filter', 'shape_position_label_map_filter', 'binary_shape_opening_image_filter', )
